Redmine - Patch #8588

Rakefile for rake 0.9.2
2011-06-10 18:12 - C. X.

Status: Closed Start date: 2011-06-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Hello,

when you are using rake 0.9.2 and try to generate the session store you will get following error:

(in /var/www/redmine)

rake aborted!

uninitialized constant Rake::DSL

/usr/lib/ruby/1.8/rake.rb:2503:in ‘const_missing'
/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/tasklib.rb:8
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in “gem_original_require'
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31l:in "“require'
/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/testtask.rb:4
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require'
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in "require'
/var/www/redmine/Rakefile:7

/usr/lib/ruby/1.8/rake.rb:2383:in " load'
/usr/lib/ruby/1.8/rake.rb:2383:in ‘raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2017:in "load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2068:in "~standard_exception_handling’
/usr/lib/ruby/1.8/rake.rb:2016:in "load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2000:in “run'

/usr/lib/ruby/1.8/rake.rb:2068:in "standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in "run'

/usr/bin/rake:28

The mistake is fixed with adding require 'rake/dsl_definition' before require 'rake’ in the Rakefile.

History

#1 - 2011-06-11 21:50 - Szymon Potom

I can confirm this issue with Redmine 1.2.0 on Debian Squeeze with Rake 0.8.7.
The provided patch solved my problem.
#2 - 2011-06-20 04:21 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

Did you notice any other incompatibilities with rake 0.9.2 ? | saw other warnings, and even errors but it was on an experimental branch with bundler
enabled. I'll have a look at this anyway. For now, | updated the wiki to encourage the use of rake 0.8.7 (Redminelnstall).

#3 - 2011-08-12 14:43 - john s.
on which rakefile file i have to make the patch?
best regards john s.

#4 - 2011-09-05 04:27 - Bruno Medeiros

Same issue on Ubuntu 11.04, rake 0.8.7
The patch fixed the problem.
https://www.redmine.org/projects/redmine/wiki/RedmineInstall

My output after patch was:

root@brunojcm-htpc:/opt/redmine/current# rake generate_session_store
(in /opt/redmine/redmine-1.2)

/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/file_utils.rb:10: warning:
/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/file_utils.rb:84: warning:

D
rake/rdoctask is deprecated. Use rdoc/task instead (in RDoc 2.4.2+)

Hope it helps.
#5 - 2011-09-05 09:30 - Etienne Massip
Bruno Medeiros wrote:

Same issue on Ubuntu 11.04, rake 0.8.7

Obviously you're using rake 0.9.2 too.
#6 - 2011-09-12 16:41 - Bruno Medeiros
Etienne Massip wrote:

Bruno Medeiros wrote:

Same issue on Ubuntu 11.04, rake 0.8.7

Obviously you're using rake 0.9.2 too.

Something is weird here... If i run rake -V in terminal, | got:

root@ubuntu-redmine: /opt/redmine# rake -V
rake, version 0.8.7

But when | run some rake command, it shows 0.9.2 as version i the stacktrace...

already initialized constant RUBY
already initialized constant LN_SUPPORTE

root@ubuntu-redmine:/opt/redmine/current# RAILS_ENV=production rake db:migrate

(in /opt/redmine/redmine-1.2)

/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/file_utils.rb:10: warning:
/var/lib/gems/1.8/gems/rake-0.9.2/1ib/rake/file_utils.rb:84: warning:

D

Anyway, the patch fixed the problem.

#7 - 2011-09-15 15:53 - Anonymous

If you have both versions installed, you can run rake 0.8.7 rb:migrate.

#8 - 2011-09-15 15:54 - Anonymous

If you have both versions installed, you can run rake _0.8.7_ db:migrate.
#9 - 2012-05-22 23:30 - yannick quenec'hdu
Nathan Smith wrote:

If you have both versions installed, you can run rake _0.8.7_ db:migrate.

| have the same problem with Redmine 2.0
update patch, like this :

!/usr/bin/env rake

require File.expand_path('../config/application', __FILE_ )
RedmineApp: :Application.load_tasks

require 'rake/dsl_definition'

require 'rake'

require 'rake/testtask'
the command rake generate_secret_token work very well with rake 0.9.2, not with 0.8.7

#10 - 2012-06-10 22:42 - Jean-Baptiste Barth
- Assignee deleted (Jean-Baptiste Barth)

#11 - 2012-07-05 14:42 - C. X.
Please use next time the pre tag. Otherwise someone can't see the underscores of your File constant.
| only needed following:
require File.expand_path('../config/application', __FILE_ )
require 'rake/dsl_definition'
RedmineApp: :Application.load_tasks
But I got two warnings now:
/var/lib/gems/1.8/gems/rake-0.9.2.2/1ib/rake/file_utils.rb:9: warning: already initialized constant RUBY
/var/lib/gems/1.8/gems/rake-0.9.2.2/1ib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPOR
TED
yannick quenec'hdu wrote:
| have the same problem with Redmine 2.0
update patch, like this :
YJusr/bin/env rake
require File.expand_path('../config/application’, FILE)
RedmineApp::Application.load_tasks
require 'rake/dsl_definition'
require 'rake'

require 'rake/testtask'’

the command rake generate_secret_token work very well with rake 0.9.2, not with 0.8.7

#12 - 2012-07-12 15:46 - Ashwin Sewbaran

Bruno Medeiros wrote:
Etienne Massip wrote:
Bruno Medeiros wrote:

Same issue on Ubuntu 11.04, rake 0.8.7

Obviously you're using rake 0.9.2 too.

This is incorrect.

The gem rake version you use is version 0.9.2, but the system rake version is 0.8.7.
This is something that happens when you install rake using the default repositories.

If you are running on debian you can fix this problem by uninstalling the current rake version with:

apt—-get uninstall rake

afterwards download the version you require (0.9.2+) from:

http://packages.debian.org/sid/all/rake/download

This fixed the following warning messages for me:
/var/lib/gems/1.8/gems/rake-0.9.2.2/1ib/rake/file_utils.rb:9: warning: already initialized constant RUBY
/var/lib/gems/1.8/gems/rake-0.9.2.2/1ib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPOR
TED

#13 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#14 - 2018-10-09 13:16 - Go MAEDA

- Status changed from New to Closed

| think we don't have to take care of this issue now because rake 0.9.2 is too old and we are using newer versions of rake.

Files

rakefile.patch 460 Bytes 2011-06-10 C. X.
